| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
Strat::LevelSetMgr Class Reference
General

`#include <stratlevel.h>`

Inheritance diagram for Strat::LevelSetMgr:
[legend]

## Public Member Functions
| LevelSetMgr ()
| ~LevelSetMgr ()
const LevelSet & | curSet () const
void | popLevelSet ()
void | pushLevelSet (LevelSet *)
void | setLVLS (LevelSet *)
const LevelSet & | unpushedLVLS () const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Public Attributes
Notifier< LevelSetMgr > | curChanged

## Private Member Functions
void | createSet ()
LevelSet & | curSet ()
void | ensurePresent (LevelSet &)
void | iomReadyCB (CallBacker *)
void | surveyChangedCB (CallBacker *)

## Private Attributes
Threads::Lock | lock_
ManagedObjectSet< LevelSet > | lss_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ LevelSetMgr()

Strat::LevelSetMgr::LevelSetMgr | ( |  | ) |

## ◆ ~LevelSetMgr()

Strat::LevelSetMgr::~LevelSetMgr | ( |  | ) |

## Member Function Documentation

## ◆ createSet()

void Strat::LevelSetMgr::createSet | ( |  | ) |
| private

## ◆ curSet() [1/2]

LevelSet & Strat::LevelSetMgr::curSet | ( |  | ) |
| private

## ◆ curSet() [2/2]

const LevelSet & Strat::LevelSetMgr::curSet | ( |  | ) | const

## ◆ ensurePresent()

void Strat::LevelSetMgr::ensurePresent | ( | LevelSet & |  | ) |
| private

## ◆ iomReadyCB()

void Strat::LevelSetMgr::iomReadyCB | ( | CallBacker * |  | ) |
| private

## ◆ popLevelSet()

void Strat::LevelSetMgr::popLevelSet | ( |  | ) |

## ◆ pushLevelSet()

void Strat::LevelSetMgr::pushLevelSet | ( | LevelSet * |  | ) |

## ◆ setLVLS()

void Strat::LevelSetMgr::setLVLS | ( | LevelSet * |  | ) |

## ◆ surveyChangedCB()

void Strat::LevelSetMgr::surveyChangedCB | ( | CallBacker * |  | ) |
| private

## ◆ unpushedLVLS()

const LevelSet & Strat::LevelSetMgr::unpushedLVLS | ( |  | ) | const

## Member Data Documentation

## ◆ curChanged

Notifier<LevelSetMgr> Strat::LevelSetMgr::curChanged

## ◆ lock_

Threads::Lock Strat::LevelSetMgr::lock_
| mutable private

## ◆ lss_

ManagedObjectSet<LevelSet> Strat::LevelSetMgr::lss_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025